import java.util.*;

public interface Searchable {
    // Post: Returns whether or not the provided value is present within this data structure
    public boolean contains(String value);
    
    // Post: Adds the provided value to this data structure
    public void add(String value);

    // Post: Copies all the provided values to this data structure, clearing out any previously
    //       stored values
    public void copy(List<String> values);
}
